package cn.reghao.tnb.content.app.mobile.model;

import cn.reghao.tnb.content.api.dto.VideoCard;

/**
 * @author reghao
 * @date 2023-09-03 03:10:21
 */
public class VideoBean {
    private String videoId;
    private String title;
    private String coverUrl;
    private String duration;
    private Integer viewCount;
    private Integer commentCount;
    private String userId;
    private String username;
    private String avatarUrl;

    public VideoBean(VideoCard videoCard) {
        this.videoId = videoCard.getVideoId();
        this.title = videoCard.getTitle();
        this.coverUrl = "http:" + videoCard.getCoverUrl();
        this.duration = videoCard.getDuration();
        this.viewCount = videoCard.getView();
        this.commentCount = videoCard.getComment();
        this.userId = videoCard.getUser().getUserId();
        this.username = videoCard.getUser().getScreenName();
        this.avatarUrl = "http:" + videoCard.getUser().getAvatarUrl();
    }
}
